# crud

## Documentation
[See here](https://www.notion.so/CRUD-oefening-5af9b771a818440daaaf2725ae75719c)

## Directus Settings
```
url: http://phpstack-266425-1261902.cloudwaysapps.com/
project: crud
email: admin@admin.com
password: admin
```

## Collection
```
name: travel
fields:
    id: primary key
    name: 
        input:
            text
        validations: 
            required
            max length 200
    
    description: 
        input:
            textarea
        validations:
            required
            max length 1000
    
    start_date:
        input:
            date
        validations:
            required

    end_date:
        input:
            date
        validations:
            required
            after start_date

    
    travel_by:
        input:
            select
                airplane
                foot
                bike
                car
                train
        validations:
            required
    
    destination:
        input:
            text
        validations:
            required

    rating:
        input:
            number
        validations:
            required
            between 0 and 5

    activities:
        input:
            multiple checkboxes (save as array)
                swimming
                eating
                drinking
                sightseeing
        validations:
            /
```

## Create a Simple CRUD for this collection
Must haves:  
- list of travels
- edit form for travels
- create form for travels
- ability to delete travels
- form validation
- error handling

Nice to haves: 
- Starred input for rating
- Map input or autocomplete for destination
- Sort en filter travels


## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run serve
```
