import Vue from 'vue';
import App from './App.vue';
import router from './router';
import './assets/styles/main.css';
import '@braid/vue-formulate/dist/snow.min.css';
import VueFormulate from '@braid/vue-formulate';
import FormulateStars from './components/FormulateStars';
import FormulateDestination from './components/FormulateDestination';

Vue.config.productionTip = false;
Vue.component('FormulateStars', FormulateStars);
Vue.component('FormulateDestination', FormulateDestination);
Vue.use(VueFormulate, {
    library: {
        stars: {
            classification: 'text',
            component: 'FormulateStars',
        },
        places: {
            classification: 'text',
            component: 'FormulateDestination',
        },
    },
});

new Vue({
    router,
    render: h => h(App),
}).$mount('#app');
